#!/usr/local/bin/perl -w

require LWP::UserAgent;
require HTTP::Request;

&usage unless $ARGV[0];

@URLS = ('http://www.netscape.com');

$ua = new LWP::UserAgent;
$ua->agent('Fresh-Fighter/1.0');

printf("Browser: %s\n", $ua->agent);

foreach $url (@URLS) {
    #$request = new HTTP::Request('GET', 'http://dev.nfic.com:833/nfic.html');
    print("Contacting: $url\n");
    $request = new HTTP::Request('GET', $url);
    $response = $ua->request($request);
    
    open(OUTFILE, ">>$ARGV[0]");
    print OUTFILE $response->as_string();
#print $response->as_string();
    close(OUTFILE);
    
    print("Done\n");
}

sub usage {
    printf("Usage: %s <outfile>\n", $0);
    exit(0);
}
