#!/usr/local/bin/perl -w

use News::Newsrc;
$newsrc = new News::Newsrc;

$file = '/home/nvp/ORA/Nutshell/NNTP/scripts/newsrc.test';
$goner = 'local.boo'; # group to remove
$newgroup = 'local.newtest'; # group to add

$newsrc->load($file); # open .newsrc

@groups = $newsrc->groups(); # show initial newsgroups
print("Subscribed to: @groups\n");

$newsrc->del_group($goner); # remove newsgroup

@groups = $newsrc->groups(); # show groups after deletion
print("Subscribed to: @groups\n");

$newsrc->add_group($newgroup); # add newsgroup

@groups = $newsrc->groups(); # show groups after edition
print("Subscribed to: @groups\n");

$newsrc->save_as("$file.NEW"); # save newsrc to new filename to compare changes
