#!/usr/local/bin/perl -w

# Script: phase4.pl
# Purpose: same as phase3.pl, but adds expansion

use strict;
use Tk; 

my($main); # for main window
my($lt_frm, $ctr, $rt_frm); # for left, center and right frames
my($lt_list, $lt_but, $lt_list2);
my($ctr_bt1, $ctr_bt2, $ctr_bt3);
my($rt_list, $rt_but, $rt_list2);

$main = new MainWindow; # main window

# Left Panel (Frame)
$lt_frm = $main->Frame(-relief => 'raised', -borderwidth => 2);

# Top left corner
$lt_list = $lt_frm->Listbox(-relief => 'sunken', -borderwidth => 2);
$lt_list->pack(-fill => 'both', -expand => 1);

# Left middle
$lt_but = $lt_frm->Button(-text => 'Left side');
$lt_but->pack(-fill => 'both', -expand => 1);

# Bottom left corner
$lt_list2 = $lt_frm->Listbox(-relief => 'sunken', -borderwidth => 2);
$lt_list2->pack(-fill => 'both', -expand => 1);

# Now, pack the left frame
$lt_frm->pack(-fill => 'both', -expand => 1, -side => 'left');

# Center Panel (Frame)
$ctr = $main->Frame();

# Center top
$ctr_bt1 = $ctr->Button(-text => 'top');
$ctr_bt1->pack(-fill => 'both', -expand => 1);

# Center middle
$ctr_bt2 = $ctr->Button(-text => 'middle');
$ctr_bt2->pack(-fill => 'both', -expand => 1);

# Center bottom
$ctr_bt3 = $ctr->Button(-text => 'bottom');
$ctr_bt3->pack(-fill => 'both', -expand => 1);

# Now, pack the middle frame
$ctr->pack(-fill => 'both', -expand => 1, -side => 'left');

# Right Panel (Frame)
$rt_frm = $main->Frame(-relief => 'raised', -borderwidth => 2);

# Top right panel (Frame)
$rt_list = $rt_frm->Listbox(-relief => 'sunken', -borderwidth => 2);
$rt_list->pack(-fill => 'both', -expand => 1);

# Middle right panel (Frame)
$rt_but = $rt_frm->Button(-text => 'Right side');
$rt_but->pack(-fill => 'both', -expand => 1);

# Bottom right panel (Frame)
$rt_list2 = $rt_frm->Listbox(-relief => 'sunken', -borderwidth => 2);
$rt_list2->pack(-fill => 'both', -expand => 1);

# Now, pack the right frame
$rt_frm->pack(-fill => 'both', -expand => 1, -side => 'left');

# MAIN EVENT HERE
MainLoop;
