#!/usr/local/bin/perl -w

use strict;
use Tk; 

my($main, $top, $bottom);
my($label_text, $left_bt, $right_bt);

$main = new MainWindow;

### TOP HALF ###

### Widget label ###
$top = $main->Frame(); # create a new container for the top half
$label_text = $top->Label(-text => 'Hello, world!');
$label_text->pack(-fill => 'both', -expand => 1);
$top->pack(-fill => 'both', 
	   -expand => 1); # show the top half of the widget

### BOTTOM HALF ###

$bottom = $main->Frame(); # create a new container for the bottom half

### Left Button ###
$left_bt = $bottom->Button(-text => 'Start',
			   -command => sub{exit}
			   );
$left_bt->pack(-side => 'left', -fill => 'both', -expand => 1);

### Right Button ###
$right_bt = $bottom->Button(-text => 'Quit',
			    -command => sub{exit}
			    );
$right_bt->pack(-side => 'left', -fill => 'both', -expand => 1);

$bottom->pack(-side => 'left', 
	      -fill => 'both', 
	      -expand => 1); # show the bottom half of the widget

# MAIN EVENT HERE
MainLoop;
