#!/usr/local/bin/perl -w

if($ENV{'REQUEST_METHOD'} eq 'POST') {

    print("Content-type: text/html\n\n");

    read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
    
    @pairs = split(/&/, $buffer);
    
    foreach $pair (@pairs)
    {
	($name, $value) = split(/=/, $pair);
	
	# Un-Webify plus signs and %-encoding
	$value =~ tr/+/ /;
	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

	# Uncomment for debugging purposes
	# print "Setting $name to $value<P>";
	
	$FORM{$name} = $value;
    }

    foreach $key (sort keys %FORM) {
	print("Item $key has the value $FORM{$key}\n");
    }

} else {

    print <<HTML_FORM;
Content-type: text/html

<HTML>

    <HEAD>
      <TITLE>CGI Form to Debug with LWP::UserAgent</TITLE>
    </HEAD>

    <BODY>

    <FORM METHOD="POST" ACTION="/cgi-bin/$ENV{'SCRIPT_NAME'}">

  Name: <INPUT NAME="foo">
    
    <BR>

  Bar: <INPUT TYPE="radio" NAME="bar" VALUE="baz">

    <BR>
    
    <INPUT TYPE="submit">

    </BODY>

</HTML>

HTML_FORM

}
