#!/usr/local/bin/perl -w

use CGI;
use News::NNTPClient;
use MIME::Base64;

$nntpserver = "news.hacker.org"; # news server

@groups = (
	   ["local.test", "Test group for local news server"],
	   ["local.group","A local group"],
	   ["local.boo","A local group dealing with boos addiction"],
	   ["undertow.test","A more specific test newsgroup"]
	   );

$query = new CGI;
$queryself = $query->self_url;
#$queryself = 'localhost';

unless ($group = $query->param('group')) { # nothing at all, give index
    $links = join "\n",
    map { "<p><a href=\"$queryself?group=$_->[0]\">$_->[1]</a>" } @groups;
    print <<"GROK"; q/"/;
    @{[$query->header]}
    @{[$query->start_html('Undertow Newsgroups','<A HREF="MAILTO:nvp@ora.com">nvp@ora.com</A>')]}
    <h1>Read the Undertow Newsgroups</h1>
    <p>Select the group you want to read:
    <HR>
    $links
    <HR>
    <p>
    @{[$query->end_html]}
GROK
    q/"/;
        exit 0;
    }
    
    unless ($article = $query->param('article')) { # group but no art, give group
        $N = new News::NNTPClient($nntpserver,119,0);
        for ($N->xover($N->group($group))) {
            ($numb,$subj) = split /\t/;
            $links .= "<p><a href=\"$queryself&article=$numb\">$subj</a>\n";
        }
        
    print <<"GROK"; q/"/;
    @{[$query->header]}
    @{[$query->start_html('Undertow Newsgroups','<A HREF="MAILTO:nvp@ora.com">nvp@ora.com</A>')]}
    <h1>Read the Undertow Newsgroups</h1>
    <p>Select the article you wish to view:
    <HR>
    $links
    <HR>
    <p>Please respect the copyrights and license agreements of this service.
    @{[$query->end_html]}
GROK
    q/"/;
        exit 0;
    }
    
    ## $group and $article both valid:
    $N = new News::NNTPClient($nntpserver,119,0);
    $N->group($group);
    @art = $N->article($article);
    shift @art while @art and $art[0] !~ /^Content-Type: (image\/[-a-z]+)/;
    $type = $1;
    shift @art while @art and $art[0] !~ /^\s*$/;
    pop @art;                      # heh
    $gif = decode_base64(join "", @art);
    print "Content-type: $type\n\n";
    print $gif;
    exit 0;

