#!/usr/local/bin/perl -w

require 5.002;
use English;

use Tk;
use Tk::Dialog;

require LWP::UserAgent;
require HTTP::Request;

$revision = '$Revision: 1.1 $'; $revision =~ s/\$Revision: 1.1 $/$1/g;

$myagent = <<FOOBAR;
LWP-Modules-pTk-WWW-TextClient ($revision/$^O)
FOOBAR

$top = MainWindow->new;
$tl = $top->Frame();

$body = $tl->Frame();
$t2 = $body->Frame();

$t3 = $t2->Frame(-relief => 'raised', -borderwidth => '2');
$foo = $t3->Label(-text => 'URL: '); $foo->pack(-side => 'left');
$foo = $t3->Entry(-width => 50,
                  -relief => 'sunken',
                  -borderwidth => 2); 
$foo->pack(-side => 'left');
$t3->pack();

$t4 = $t2->Frame(-relief => 'raised', -borderwidth => '2');
$foo_2 = $t4->Text(-width => 70,
                   -height => 30,
                   -relief => 'sunken',
                   -borderwidth => 2,
                   -setgrid => 'yes', -font => '8x16');
$scroll = $t4->Scrollbar(-command => ['yview', $foo_2],
                         -relief => 'raised', -borderwidth => '2');
$foo_2->configure(-yscrollcommand => ['set', $scroll]);
$foo_2->pack(-side => 'left', -fill => 'both', -expand => 'yes');
$scroll->pack(-side => 'right', -fill => 'y');
$t4->pack();

$t5 = $t2->Frame();
$foo_3 = $t5->Button(-text => 'Fetch URL', -relief => 'raised', 
                     -borderwidth => 2, -command => sub {fetch_url()}); 
$foo_3->pack(-side => 'left',
             -anchor => 'center',
             -pady => 5);
$foo_3 = $t5->Button(-text => 'Quit',
                     -relief => 'raised', 
                     -borderwidth => 2,
                     -command => sub {exit}); 
$foo_3->pack(-side => 'left');
$t5->pack();

$t2->pack();
$body->pack();
$tl->pack();


### THE MAIN EVENT
MainLoop;


sub fetch_url {

    $ua = new LWP::UserAgent;
    $ua->agent($myagent);

    $url = $foo->get;

    # DEBUG TO STDOUT
    # print("Contacting: $url\n");

    $request = new HTTP::Request('GET', $url);
    $response = $ua->request($request);

    # DEBUG TO STDOUT
    # print $response->as_string();
    $foo_2->delete('0.0', 'end');
    $foo_2->insert('end', $response->as_string());

    # KEEP THIS FOR THE MENU - SO FILES CAN BE SAVED
    # $old_buffer = $foo_2->get('0.0', 'end');
    
}

