#!/usr/local/bin/perl -w

use Tk;
use Tk::WaitBox;
#use strict;               
my($root) = MainWindow->new;
$root->withdraw;

my($utxt) = "Initializing...";
my($wd) = $root->WaitBox(
			 -bitmap =>'questhead', # Default would be 'hourglass'
			 -txt2 => 'tick-tick-tick', #default would be 'Please Wait'
			 -title => 'Takes forever to get service around here',
			 -cancelroutine => sub {
			     print "\nI'm canceling....\n";
			     $wd->unShow;
			     $utxt = undef; 
			 });
$wd->configure(-txt1 => "Hurry up and Wait, my Drill Sergeant told me");
$wd->configure(-foreground => 'blue',-background => 'white');        

### Do something quite boring with the user frame
my($u) = $wd->Subwidget('uframe');
$u->pack(-expand => 1, -fill => 'both');
$u->Label(-textvariable => \$utxt)->pack(-expand => 1, -fill => 'both');

## It would definitely be better to do this with a canvas... this is dumb
my($base) = $u->Frame(-background =>'gray',
		      -relief => 'sunken',
		      -borderwidth => 2,
		      -height => 20)
    ->pack(-side => 'left', -anchor => 'w',-expand => 1,
	   -fill => 'both');
my($bar) = $base->Frame(-borderwidth => 2, 
			-relief => 'raised', -height => 20, 
			-width => 0, -background => 'blue')
    ->pack(-fill => 'y', -side => 'left');
$wd->configure(-canceltext => 'Halt, Cease, Desist'); # default is 'Cancel'

$wd->Show;                
for (1..15) {
    sleep(1);
    print int($_/15*$base->Width),"\n";
    $bar->configure(-width => int($_/15*$base->Width));
    $utxt = sprintf("%d", 100*$_/15) . "% Complete";            
    $root->update;                
    last if !defined($utxt);            
}
$wd->unShow;
