package PerlWWW;

use IO::File;
use IPC::Open2;
use HTTP::Daemon;
use HTTP::Status;
use HTTP::Date;
use Net::Domain qw(hostfqdn);

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require AutoLoader;

@ISA = qw(Exporter AutoLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
	
);
$VERSION = '0.01';


# Preloaded methods go here.

sub new {
    my $run = shift;
    return bless {}, $run;
}

sub server_init {
    my $self = shift;

    my $pid = fork();
    exit(0) if $pid;
    die "Unable to fork: $!" unless defined($pid);

    # instead of close STDIN; close STDOUT; so we don't break open2()
    open (STDIN, "</dev/null") || die "Could not redir STDIN\n";
    open (STDOUT, ">/dev/null") || die "Could not redir STDOUT\n";

    delete $ENV{'LOGNAME'};
    delete $ENV{'USER'};
    delete $ENV{'HOME'};
    delete $ENV{'MAIL'};
    $ENV{'HOSTNAME'} = hostfqdn();
    $ENV{'TERM'} = "dumb";
    $ENV{'GATEWAY_INTERFACE'} = 'CGI/1.1';
    $ENV{'SERVER_SOFTWARE'} = '$0/0.01';
    $ENV{'SERVER_PROTOCOL'} = 'HTTP/1.1';
}

sub server_run {
    my $self = shift;
    $self->server_init();
    # &setuid "www";
    for (;;) 
    {
	my $nsocket = $self->accept();
	die $! unless $nsocket;
	$nsocket->autoflush(1);
	
	my $pid = fork();
	warn "Unable to fork: $!" unless defined($pid);
	if ($pid == 0)
	{
	    $self->close();
	    exit 0;
	}

	$nsocket->close();
    }

}

sub read_config {

}

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

PerlWWW - Perl extension for blah blah blah

=head1 SYNOPSIS

  use PerlWWW;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for PerlWWW was created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head1 AUTHOR

A. U. Thor, a.u.thor@a.galaxy.far.far.away

=head1 SEE ALSO

perl(1).

=cut
